Aller au contenu

La notice d’information sur la vie privée en vigueur qu’une association destine à ses membres (art. 13 du RGPD)

GET
/v1/aps/{slug}/privacy-notice
curl --request GET \
--url 'https://api.vimine.network/v1/aps/example/privacy-notice?locale=it'

Le texte que l’association affiche à l’adhésion ; une demande d’adhésion en prend acte par {version, sha256}. ?locale= avec repli sur l’italien.

slug
obligatoire
string
locale
string
Valeurs autorisées : it en zh-Hans zh-Hant fr es de pt-BR

Notice d’information

Type de médiaapplication/json
object
uid
obligatoire
string format : uuid
version
obligatoire
integer
locale
obligatoire
string
title
string
sha256
string
nullable
effective_from
string format : date-time
nullable
rendered_sha256
string
content_md
obligatoire
string
content_html
obligatoire
string
requires_reacknowledgement
boolean
Exemplegénéré
{
"uid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"version": 1,
"locale": "example",
"title": "example",
"sha256": "example",
"effective_from": "2026-04-15T12:00:00Z",
"rendered_sha256": "example",
"content_md": "example",
"content_html": "example",
"requires_reacknowledgement": true
}

Requête invalide

Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Association inconnue ou aucune notice publiée

Limite de débit atteinte

Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Erreur interne

Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}